CKEDITOR.plugins.add('zimage', {
  icons: 'zimage',
  init: function (editor) {
    // 给自定义插件注册一个调用命令
    editor.addCommand('zimage', new CKEDITOR.dialogCommand('zimageDialog'));

    editor.ui.addButton('zimage', {
      // label为鼠标悬停时展示的字
      label: '添加图片',
      command: 'zimage',
      // 将插件放在哪一组toolbar， 像我这样写的话，将放在'insert'组的第一个，后面的数字是这个数据的下标
      toolbar: 'insert,0'
    });
    // 加载自定义窗口，'zimageDialog'跟上面调用命令的'zimageDialog'一致;
    CKEDITOR.dialog.add('zimageDialog', this.path + 'dialog/dialog.js');
  }
});